using SqlSugar;
using System;
using System.Runtime.Serialization;

namespace SlnMesnac.Model.domain
{
    /// <summary>
    /// agv任务表
    ///</summary>
    [SugarTable("wcs_task_log"), TenantAttribute("wcs")]
    [DataContract(Name = "agv任务记录表")]
    public class WcsTaskLog
    {
        [SugarColumn(IsIgnore = true)]
        public int No { get; set; }

        [SugarColumn(ColumnName = "id", IsPrimaryKey = true, ColumnDescription = "主键")]
        public int Id { get; set; }

        [SugarColumn(ColumnName = "serial_no", ColumnDescription = "流水号")]
        public int SerialNo { get; set; }

        [SugarColumn(ColumnName = "equipment_no", ColumnDescription = "设备编号")]
        public string EquipmentNo { get; set; }

        [SugarColumn(ColumnName = "pallet_info_code", ColumnDescription = "托盘RFID")]
        public string PalletInfoCode { get; set; }

        [SugarColumn(ColumnName = "task_type", ColumnDescription = "任务类型,字典表")]
        public int TaskType { get; set; }

        [SugarColumn(ColumnName = "task_status", ColumnDescription = "任务状态,字典表")]
        public int TaskStatus { get; set; }

        [SugarColumn(ColumnName = "start_point_no", ColumnDescription = "起始点编号")]
        public string StartPointNo { get; set; }

        [SugarColumn(ColumnName = "start_point_id", ColumnDescription = "起始点id")]
        public int StartPointId { get; set; }

        [SugarColumn(ColumnName = "curr_point_no", IsNullable = false, ColumnDescription = "当前点编号")]
        public string CurrPointNo { get; set; }

        [SugarColumn(ColumnName = "curr_point_id", IsNullable = false, ColumnDescription = "当前点id")]
        public string CurrPointId { get; set; }

        [SugarColumn(ColumnName = "next_point_no", IsNullable = false, ColumnDescription = "下一点编号")]
        public string NextPointNo { get; set; }

        [SugarColumn(ColumnName = "next_point_id", IsNullable = false, ColumnDescription = "下一点id")]
        public string NextPointId { get; set; }

        [SugarColumn(ColumnName = "end_point_no", IsNullable = false, ColumnDescription = "终点编号")]
        public string EndPointNo { get; set; }

        [SugarColumn(ColumnName = "end_point_id", IsNullable = false, ColumnDescription = "终点id")]
        public string EndPointId { get; set; }

        [SugarColumn(ColumnName = "use_flag", DefaultValue = "1", ColumnDescription = "是否可用  0:不可用  1:可用")]
        public int UseFlag { get; set; }

        [SugarColumn(ColumnName = "taskCode", ColumnDescription = "Agv返回code")]
        public string TaskCode { get; set; }

        [SugarColumn(ColumnName = "is_delete", DefaultValue = "0", ColumnDescription = "是否已删除")]
        public int IsDelete { get; set; }

        [SugarColumn(ColumnName = "created_by", ColumnDescription = "创建人")]
        public string CreatedBy { get; set; }

        [SugarColumn(ColumnName = "created_time", ColumnDescription = "创建时间")]
        public DateTime CreatedTime { get; set; }

        [SugarColumn(ColumnName = "updated_by", ColumnDescription = "更新人")]
        public string UpdatedBy { get; set; }

        [SugarColumn(ColumnName = "updated_time", ColumnDescription = "更新时间")]
        public DateTime UpdatedTime { get; set; }

        [SugarColumn(ColumnName = "task_name", ColumnDescription = "任务名称")]
        public string TaskName { get; set; }
    }
}